Page MenuHomePhabricator

Found nested inserted dom-diff flags!
Closed, ResolvedPublic

Description

https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-2018.05.07/parsoid?id=AWM7GA5nVAdyMbafgUUy&_g=h@1251ff0

skwiki/Alessia_Cara

AssertionError: Found nested inserted dom-diff flags!
    at Console.assert (console.js:95:23)
    at Normalizer.processNode (/srv/deployment/parsoid/deploy-cache/revs/d8d7b424aa0f8fc5028099168e3646c2f131212e/src/lib/html2wt/normalizeDOM.js:594:12)
    at Normalizer.processSubtree (/srv/deployment/parsoid/deploy-cache/revs/d8d7b424aa0f8fc5028099168e3646c2f131212e/src/lib/html2wt/normalizeDOM.js:552:11)
    at Normalizer.processNode (/srv/deployment/parsoid/deploy-cache/revs/d8d7b424aa0f8fc5028099168e3646c2f131212e/src/lib/html2wt/normalizeDOM.js:601:9)
    at Normalizer.processSubtree (/srv/deployment/parsoid/deploy-cache/revs/d8d7b424aa0f8fc5028099168e3646c2f131212e/src/lib/html2wt/normalizeDOM.js:552:11)
    at Normalizer.processNode (/srv/deployment/parsoid/deploy-cache/revs/d8d7b424aa0f8fc5028099168e3646c2f131212e/src/lib/html2wt/normalizeDOM.js:601:9)
    at Normalizer.processSubtree (/srv/deployment/parsoid/deploy-cache/revs/d8d7b424aa0f8fc5028099168e3646c2f131212e/src/lib/html2wt/normalizeDOM.js:561:12)
    at Normalizer.processNode (/srv/deployment/parsoid/deploy-cache/revs/d8d7b424aa0f8fc5028099168e3646c2f131212e/src/lib/html2wt/normalizeDOM.js:601:9)
    at Normalizer.processSubtree (/srv/deployment/parsoid/deploy-cache/revs/d8d7b424aa0f8fc5028099168e3646c2f131212e/src/lib/html2wt/normalizeDOM.js:561:12)
    at Normalizer.processNode (/srv/deployment/parsoid/deploy-cache/revs/d8d7b424aa0f8fc5028099168e3646c2f131212e/src/lib/html2wt/normalizeDOM.js:601:9)
    at Normalizer.normalizeDOM (/srv/deployment/parsoid/deploy-cache/revs/d8d7b424aa0f8fc5028099168e3646c2f131212e/src/lib/html2wt/normalizeDOM.js:622:14)
    at WikitextSerializer.<anonymous> (/srv/deployment/parsoid/deploy-cache/revs/d8d7b424aa0f8fc5028099168e3646c2f131212e/src/lib/html2wt/WikitextSerializer.js:1416:26)
    at next (native)
    at tryCatchNext (/srv/deployment/parsoid/deploy-cache/revs/d8d7b424aa0f8fc5028099168e3646c2f131212e/node_modules/prfun/lib/index.js:783:28)
    at continuer (/srv/deployment/parsoid/deploy-cache/revs/d8d7b424aa0f8fc5028099168e3646c2f131212e/node_modules/prfun/lib/index.js:800:24)
    at callback (/srv/deployment/parsoid/deploy-cache/revs/d8d7b424aa0f8fc5028099168e3646c2f131212e/node_modules/prfun/lib/index.js:812:43)

Event Timeline

Arlolra created this task.May 7 2018, 8:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 7 2018, 8:24 PM
Arlolra triaged this task as High priority.May 7 2018, 9:07 PM
Arlolra assigned this task to Sbailey.

Change 432077 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/services/parsoid@master] Distinguish between inserted & deleted diff markers

https://gerrit.wikimedia.org/r/432077

ssastry claimed this task.May 9 2018, 2:00 PM
ssastry added a subscriber: Sbailey.
ssastry moved this task from Backlog to html2wt on the Parsoid board.May 9 2018, 9:50 PM

Change 432077 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Distinguish between inserted & deleted diff markers

https://gerrit.wikimedia.org/r/432077

Arlolra closed this task as Resolved.May 14 2018, 4:35 PM
ssastry reopened this task as Open.EditedJun 9 2018, 4:55 AM

New instances found

 stack 	AssertionError: Found nested inserted dom-diff flags!
    at Console.assert (console.js:95:23)
    at Normalizer.processNode (/srv/deployment/parsoid/deploy-cache/revs/2f806399a5cce497e55f60fc2cb0aee88d14d932/src/lib/html2wt/normalizeDOM.js:607:12)
    at Normalizer.processSubtree (/srv/deployment/parsoid/deploy-cache/revs/2f806399a5cce497e55f60fc2cb0aee88d14d932/src/lib/html2wt/normalizeDOM.js:574:12)
    at Normalizer.processNode (/srv/deployment/parsoid/deploy-cache/revs/2f806399a5cce497e55f60fc2cb0aee88d14d932/src/lib/html2wt/normalizeDOM.js:614:9)
    at Normalizer.processSubtree (/srv/deployment/parsoid/deploy-cache/revs/2f806399a5cce497e55f60fc2cb0aee88d14d932/src/lib/html2wt/normalizeDOM.js:574:12)
    at Normalizer.processNode (/srv/deployment/parsoid/deploy-cache/revs/2f806399a5cce497e55f60fc2cb0aee88d14d932/src/lib/html2wt/normalizeDOM.js:614:9)
    at Normalizer.normalizeDOM (/srv/deployment/parsoid/deploy-cache/revs/2f806399a5cce497e55f60fc2cb0aee88d14d932/src/lib/html2wt/normalizeDOM.js:635:14)
    at WikitextSerializer.<anonymous> (/srv/deployment/parsoid/deploy-cache/revs/2f806399a5cce497e55f60fc2cb0aee88d14d932/src/lib/html2wt/WikitextSerializer.js:1429:26)
    at next (native)
    at tryCatchNext (/srv/deployment/parsoid/deploy-cache/revs/2f806399a5cce497e55f60fc2cb0aee88d14d932/node_modules/prfun/lib/index.js:783:28)
    at continuer (/srv/deployment/parsoid/deploy-cache/revs/2f806399a5cce497e55f60fc2cb0aee88d14d932/node_modules/prfun/lib/index.js:800:24)
    at callback (/srv/deployment/parsoid/deploy-cache/revs/2f806399a5cce497e55f60fc2cb0aee88d14d932/node_modules/prfun/lib/index.js:812:43)
    at /srv/deployment/parsoid/deploy-cache/revs/2f806399a5cce497e55f60fc2cb0aee88d14d932/node_modules/prfun/lib/index.js:814:9
    at tryCatch2 (/srv/deployment/parsoid/deploy-cache/revs/2f806399a5cce497e55f60fc2cb0aee88d14d932/node_modules/babybird/lib/promise.js:48:12)
    at PrFunPromise.Promise (/srv/deployment/parsoid/deploy-cache/revs/2f806399a5cce497e55f60fc2cb0aee88d14d932/node_modules/babybird/lib/promise.js:458:15)
    at new PrFunPromise (/srv/deployment/parsoid/deploy-cache/revs/2f806399a5cce497e55f60fc2cb0aee88d14d932/node_modules/prfun/lib/index.js:100:21)
t tags 	es, gelf, normalized_message_untrimmed
t title 	User:Chandan_mrc
t type 	parsoid
t userAgent 	VisualEditor-MediaWiki/1.32.0-wmf.7
t version 	1.0
t wiki 	enwiki

Also frwiki:Cimetière_Vagankovo

Arlolra claimed this task.Jun 26 2018, 10:48 PM
Arlolra added a subscriber: ssastry.
Vvjjkkii renamed this task from Found nested inserted dom-diff flags! to 4fdaaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii removed Arlolra as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
ssastry claimed this task.Jul 18 2018, 5:56 PM

Change 447391 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/services/parsoid@master] Dump debugging info for nested inserted dom-diff flags error

https://gerrit.wikimedia.org/r/447391

Change 447391 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Dump debugging info for nested inserted dom-diff flags error

https://gerrit.wikimedia.org/r/447391

Change 447578 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/services/parsoid@master] Followup on de1d7bc3: Refine that original check

https://gerrit.wikimedia.org/r/447578

Change 447578 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Followup on de1d7bc3: Refine that original check

https://gerrit.wikimedia.org/r/447578

Arlolra closed this task as Resolved.Jul 26 2018, 7:03 PM

There haven't been any occurrences of this since the deploy.

Arlolra reopened this task as Open.Nov 29 2018, 6:56 PM

Seeing some more of these.

https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-2018.11.29/parsoid?id=AWdgm8Xli-uKhB2cWXfP&_g=h@44136fa

frwiki Sarah_Trouche

AssertionError: Found nested inserted dom-diff flags!
    at Console.assert (console.js:95:23)
    at Normalizer.processNode (/srv/deployment/parsoid/deploy-cache/revs/9ed8c470937756803bc2d6540a9ab20a0c342230/src/lib/html2wt/normalizeDOM.js:668:12)
    at Normalizer.processSubtree (/srv/deployment/parsoid/deploy-cache/revs/9ed8c470937756803bc2d6540a9ab20a0c342230/src/lib/html2wt/normalizeDOM.js:624:12)
    at Normalizer.processNode (/srv/deployment/parsoid/deploy-cache/revs/9ed8c470937756803bc2d6540a9ab20a0c342230/src/lib/html2wt/normalizeDOM.js:675:9)
    at Normalizer.processSubtree (/srv/deployment/parsoid/deploy-cache/revs/9ed8c470937756803bc2d6540a9ab20a0c342230/src/lib/html2wt/normalizeDOM.js:624:12)
    at Normalizer.processNode (/srv/deployment/parsoid/deploy-cache/revs/9ed8c470937756803bc2d6540a9ab20a0c342230/src/lib/html2wt/normalizeDOM.js:675:9)
    at Normalizer.normalizeDOM (/srv/deployment/parsoid/deploy-cache/revs/9ed8c470937756803bc2d6540a9ab20a0c342230/src/lib/html2wt/normalizeDOM.js:696:14)
    at WikitextSerializer.<anonymous> (/srv/deployment/parsoid/deploy-cache/revs/9ed8c470937756803bc2d6540a9ab20a0c342230/src/lib/html2wt/WikitextSerializer.js:1448:26)
    at next (native)
    at tryCatchNext (/srv/deployment/parsoid/deploy-cache/revs/9ed8c470937756803bc2d6540a9ab20a0c342230/node_modules/prfun/lib/index.js:783:28)
    at continuer (/srv/deployment/parsoid/deploy-cache/revs/9ed8c470937756803bc2d6540a9ab20a0c342230/node_modules/prfun/lib/index.js:800:24)
    at callback (/srv/deployment/parsoid/deploy-cache/revs/9ed8c470937756803bc2d6540a9ab20a0c342230/node_modules/prfun/lib/index.js:812:43)
    at /srv/deployment/parsoid/deploy-cache/revs/9ed8c470937756803bc2d6540a9ab20a0c342230/node_modules/prfun/lib/index.js:814:9
    at tryCatch2 (/srv/deployment/parsoid/deploy-cache/revs/9ed8c470937756803bc2d6540a9ab20a0c342230/node_modules/babybird/lib/promise.js:48:12)
    at PrFunPromise.Promise (/srv/deployment/parsoid/deploy-cache/revs/9ed8c470937756803bc2d6540a9ab20a0c342230/node_modules/babybird/lib/promise.js:458:15)
    at new PrFunPromise (/srv/deployment/parsoid/deploy-cache/revs/9ed8c470937756803bc2d6540a9ab20a0c342230/node_modules/prfun/lib/index.js:100:21)

https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-2018.11.29/parsoid?id=AWdf5_4VnlBds_JjD6KP&_g=h@44136fa
etc.

Change 476752 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/services/parsoid@master] Add 'inserted' diff-marker to the correct node

https://gerrit.wikimedia.org/r/476752

Change 476752 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Add 'inserted' diff-marker to the correct node

https://gerrit.wikimedia.org/r/476752

ssastry closed this task as Resolved.Nov 30 2018, 8:19 PM

Deployed a fix to production about 20 mins back. Resolving. Let us reopen if we see anything else.